OaIdl.LIBFLAGS (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: OaIdl, class: LIBFLAGS

Package com.sun.jna.platform.win32

# Class OaIdl.LIBFLAGS

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.OaIdl.LIBFLAGS

Direct Known Subclasses:
  `OaIdl.LIBFLAGS.ByReference`

Enclosing interface:
  OaIdl

@FieldOrder("value") public static class OaIdl.LIBFLAGS extends Structure

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `OaIdl.LIBFLAGS.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `LIBFLAG_FCONTROL`
  `static final int`
  `LIBFLAG_FHASDISKIMAGE`
  `static final int`
  `LIBFLAG_FHIDDEN`
  `static final int`
  `LIBFLAG_FRESTRICTED`
  `int`
  `value`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LIBFLAGS()`
  `LIBFLAGS(int value)`
  `LIBFLAGS(Pointer pointer)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### value

    public int value

  - ### LIBFLAG_FRESTRICTED

    public static final int LIBFLAG_FRESTRICTED
    See Also:
      - Constant Field Values

  - ### LIBFLAG_FCONTROL

    public static final int LIBFLAG_FCONTROL
    See Also:
      - Constant Field Values

  - ### LIBFLAG_FHIDDEN

    public static final int LIBFLAG_FHIDDEN
    See Also:
      - Constant Field Values

  - ### LIBFLAG_FHASDISKIMAGE

    public static final int LIBFLAG_FHASDISKIMAGE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LIBFLAGS

    public LIBFLAGS()

  - ### LIBFLAGS

    public LIBFLAGS(int value)

  - ### LIBFLAGS

    public LIBFLAGS(Pointer pointer)